package com.icing.dialer

import android.os.Bundle
import io.flutter.embedding.android.FlutterActivity
import io.flutter.embedding.engine.FlutterEngine
import io.flutter.plugin.common.MethodChannel
import com.icing.dialer.KeystoreHelper

class MainActivity: FlutterActivity() {
    private val CHANNEL = "com.example.keystore"

    override fun configureFlutterEngine(flutterEngine: FlutterEngine) {
        super.configureFlutterEngine(flutterEngine)
        MethodChannel(flutterEngine.dartExecutor.binaryMessenger, CHANNEL).setMethodCallHandler { call, result ->
            // Delegate method calls to KeystoreHelper
            KeystoreHelper(call, result).handleMethodCall()
        }
    }
}
